Share via


Network Watchers - List All

Gets all network watchers by subscription.

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Network/networkWatchers?api-version=2025-05-01

URI Parameters

Name In Required Type Description
subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

NetworkWatcherListResult

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

List all network watchers

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Network/networkWatchers?api-version=2025-05-01

Sample response

{
  "value": [
    {
      "name": "nw1",
      "type": "Microsoft.Network/networkWatchers",
      "etag": "W/\"00000000-0000-0000-0000-000000000000\"",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/networkWatchers/nw1",
      "location": "eastus",
      "properties": {
        "provisioningState": "Succeeded"
      },
      "tags": {}
    },
    {
      "name": "nw2",
      "type": "Microsoft.Network/networkWatchers",
      "etag": "W/\"00000000-0000-0000-0000-000000000000\"",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/networkWatchers/nw2",
      "location": "westus",
      "properties": {
        "provisioningState": "Succeeded"
      },
      "tags": {}
    }
  ]
}

Definitions

Name Description
ErrorDetails

Common error details representation.

ErrorResponse

The error object.

NetworkWatcher

Network watcher in a resource group.

NetworkWatcherListResult

Response for ListNetworkWatchers API service call.

ProvisioningState

Provisioning states of a resource.

ErrorDetails

Common error details representation.

Name Type Description
code

string

Error code.

message

string

Error message.

target

string

Error target.

ErrorResponse

The error object.

Name Type Description
error

ErrorDetails

Error
The error details object.

NetworkWatcher

Network watcher in a resource group.

Name Type Description
etag

string

A unique read-only string that changes whenever the resource is updated.

id

string

Resource ID.

location

string

Resource location.

name

string

Resource name.

properties.provisioningState

ProvisioningState

The provisioning state of the network watcher resource.

tags

object

Resource tags.

type

string

Resource type.

NetworkWatcherListResult

Response for ListNetworkWatchers API service call.

Name Type Description
nextLink

string

URL to get the next set of results.

value

NetworkWatcher[]

List of network watcher resources.

ProvisioningState

Provisioning states of a resource.

Value Description
Failed

Failed

Succeeded

Succeeded

Canceled

Canceled

Creating

Creating

Updating

Updating

Deleting

Deleting